def BarreOutilExtrusion
	plugins = Sketchup.find_support_file("Plugins")
	load File.join(plugins, "icones", "fr_extrudelinetool.rb")
	load File.join(plugins, "icones", "fr_opener.rb")
	load File.join(plugins, "icones", "fr_rectangle_hole.rb")
	load File.join(plugins, "icones", "fr_matrix_extrude.rb")
	load File.join(plugins, "icones", "fr_PipeAlongPath.rb")
end

if( not file_loaded?("fr_BarreOutilExtrusion.rb") )
	BarreOutilExtrusion()
	mmenu = UI.menu("Plugins").add_submenu("Bonus")
	plugins = Sketchup.find_support_file("Plugins")
	tb = UI::Toolbar.new("Extrusions")
		
	#Menus
	smenu = mmenu.add_submenu("Booleen")
		smenu.add_item("Ligne 2 points") { ex_linetool }
		smenu.add_item("Plusieurs faces") { extrude }
		smenu.add_item("Soustraire face") { make_holes }
		smenu.add_item("Soustraire rectangle") { Sketchup.active_model.select_tool RectangleHoleTool.new }
		smenu.add_item("Tube selon chemin") { pipe_along_path }
	
	#barre d'outils
	cmd = UI::Command.new("Extruder ligne vecteur par 2 points") { ex_linetool }
		cmd.large_icon = cmd.small_icon = File.join(plugins, "icones", "ExtrudeLigne.png")
		cmd.tooltip = cmd.status_bar_text = "Extruder ligne vecteur par 2 points"
		tb.add_item(cmd)
	tb.add_separator
	cmd2 = UI::Command.new("Trouer") { make_holes }
		cmd2.large_icon = cmd2.small_icon = File.join(plugins, "icones", "Trouer.png")
		cmd2.tooltip = cmd2.status_bar_text = "Trouer"
		tb.add_item(cmd2)
	tb.add_separator
	cmd3 = UI::Command.new("Trou Rectangulaire") { Sketchup.active_model.select_tool RectangleHoleTool.new  }
		cmd3.large_icon = cmd3.small_icon = File.join(plugins, "icones", "TrouerRectangle.png")
		cmd3.tooltip = cmd3.status_bar_text = "Trou Rectangulaire"
		tb.add_item(cmd3)
	tb.add_separator
	cmd4 = UI::Command.new("Extrusion de faces selectionnes") { extrude }
		cmd4.large_icon = cmd4.small_icon = File.join(plugins, "icones", "ExtrudeFace.png")
		cmd4.tooltip = cmd4.status_bar_text = "Extrusion de faces selectionnes"
		tb.add_item(cmd4)
	tb.add_separator
	cmd5 = UI::Command.new("Tubage sur chemin") { pipe_along_path }
		cmd5.large_icon = cmd5.small_icon = File.join(plugins, "icones", "Tubage.png")
		cmd5.tooltip = cmd5.status_bar_text = "Tubage sur chemin"
	tb.add_item(cmd5)

	tb.show if tb.get_last_state == -1
end
file_loaded("fr_BarreOutilExtrusion.rb")